--- /dev/null
+#!/bin/bash
+
+# This is part of "osstest", an automated testing framework for Xen.
+# Copyright (C) 2009-2013 Citrix Inc.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
+set -e
+
+branch=$1
+xenbranch=$2
+blessing=$3
+buildflight=$4
+
+flight=`./cs-flight-create $blessing $branch`
+
+. ap-common
+. cri-common
+. mfi-common
+
+defsuite=`getconfig DebianSuite`
+defguestsuite=`getconfig GuestDebianSuite`
+
+if [ x$buildflight = x ]; then
+
+ if [ "x$BUILD_LVEXTEND_MAX" != x ]; then
+ BUILD_RUNVARS+=" build_lvextend_max=$BUILD_LVEXTEND_MAX "
+ fi
+
+ create_build_jobs
+
+else
+
+ bfi=$buildflight.
+
+fi
+
+job_create_test_filter_callback () {
+ :
+}
+
+test_matrix_branch_filter_callback () {
+ :
+}
+
+do_unixbench_tests () {
+ if [ $xenarch != amd64 -o $dom0arch != amd64 ]; then
+ return
+ fi
+
+ for sched in credit credit2; do
+ job_create_test bench-unixbench-$xenarch$kern-$dom0arch-xl-${sched} \
+ bench-unixbench xl $xenarch $dom0arch guests_vcpus=4 \
+ xen_boot_append="sched=${sched}" unixbench_params='-i 5 -c 1 -c 2 -c 4' \
+ $debian_runvars bios=seabios debianhvm_image=debian-7.2.0-amd64-CD-1.iso \
+ all_hostflags=$most_hostflags
+ done
+}
+
+test_matrix_do_one () {
+ case ${xenarch} in
+ amd64) domUarches="amd64";;
+ i386) domUarches="";;
+ armhf) domUarches="armhf";;
+ esac
+
+ for domU in $domUarches ; do
+ do_unixbench_tests
+ done
+}
+
+test_matrix_iterate
+
+echo $flight
+
+# Local variables:
+# mode: sh
+# sh-basic-offset: 2
+# indent-tabs-mode: nil
+# End: